<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity PositionFullfillment.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idposition"
                                 baseTableName="position_fullfillment"
                                 constraintName="fk_position_fullfillment_position_id"
                                 referencedColumnNames="idposition"
                                 referencedTableName="positions"/>

        <addForeignKeyConstraint baseColumnNames="idperson"
                                 baseTableName="position_fullfillment"
                                 constraintName="fk_position_fullfillment_person_id"
                                 referencedColumnNames="idparty"
                                 referencedTableName="person"/>

    </changeSet>
</databaseChangeLog>
